org.springframework.ldap.core.support

## Class DefaultDirObjectFactory

- java.lang.Object
- - org.springframework.ldap.core.support.DefaultDirObjectFactory

- All Implemented Interfaces:
    DirObjectFactory, ObjectFactory

      public class DefaultDirObjectFactory
      extends Object
      implements DirObjectFactory

  Default implementation of the DirObjectFactory interface. Creates a `DirContextAdapter` from the supplied arguments.
  Author:
    Mattias Hellborg Arthursson

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JNDI_ENV_BASE_PATH_KEY` Deprecated. Use `BaseLdapNameAware` and `BaseLdapPathBeanPostProcessor` instead.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDirObjectFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`
    `Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment, Attributes attrs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JNDI_ENV_BASE_PATH_KEY

          public static final String JNDI_ENV_BASE_PATH_KEY

      Deprecated. Use `BaseLdapNameAware` and `BaseLdapPathBeanPostProcessor` instead.
      Key to use in the ContextSource implementation to store the value of the base path suffix, if any, in the Ldap Environment.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultDirObjectFactory

          public DefaultDirObjectFactory()

  - ### Method Detail

    - #### getObjectInstance

          public final Object getObjectInstance(Object obj,
                                                Name name,
                                                Context nameCtx,
                                                Hashtable<?,?> environment,
                                                Attributes attrs)
                                         throws Exception

      Specified by:
        `getObjectInstance` in interface `DirObjectFactory`
      Throws:
        `Exception`

    - #### getObjectInstance

          public Object getObjectInstance(Object obj,
                                          Name name,
                                          Context nameCtx,
                                          Hashtable<?,?> environment)
                                   throws Exception

      Specified by:
        `getObjectInstance` in interface `ObjectFactory`
      Throws:
        `Exception`